Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.insurability.core.v2
Class InsurabilityForPharmacistResponseType

    java.lang.Object
      be.fgov.ehealth.insurability.core.v2.InsurabilityForPharmacistResponseType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InsurabilityForPharmacistResponse

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-10-16T01:49:42+02:00",
               comments="JAXB RI v2.2.11")
    public class InsurabilityForPharmacistResponseType

extends Object
implements Serializable

The "root"-type of the InsurabilityForPharmacistResponseType element.

Java class for InsurabilityForPharmacistResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InsurabilityForPharmacistResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Requested" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="CareReceiver" type="{urn:be:fgov:ehealth:insurability:core:v2}CareReceiverType"/>
             <element name="Coverage" type="{urn:be:fgov:ehealth:insurability:core:v2}CoverageType" minOccurs="0"/>
             <element name="Verification" type="{urn:be:fgov:ehealth:insurability:core:v2}VerificationType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`InsurabilityForPharmacistResponseType()`

Method Summary
`CareReceiverType` | `getCareReceiver()` Gets the value of the careReceiver property.
`CoverageType` | `getCoverage()` Gets the value of the coverage property.
`org.joda.time.DateTime` | `getRequested()` Gets the value of the requested property.
`VerificationType` | `getVerification()` Gets the value of the verification property.
`void` | `setCareReceiver(CareReceiverType value)` Sets the value of the careReceiver property.
`void` | `setCoverage(CoverageType value)` Sets the value of the coverage property.
`void` | `setRequested(org.joda.time.DateTime value)` Sets the value of the requested property.
`void` | `setVerification(VerificationType value)` Sets the value of the verification property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsurabilityForPharmacistResponseType

    public InsurabilityForPharmacistResponseType()

Method Detail

### getRequested

    public org.joda.time.DateTime getRequested()

  Gets the value of the requested property.

  Returns:
    possible object is `String`

### setRequested

    public void setRequested(org.joda.time.DateTime value)

  Sets the value of the requested property.

  Parameters:
    `value` - allowed object is `String`

### getCareReceiver

    public CareReceiverType getCareReceiver()

  Gets the value of the careReceiver property.

  Returns:
    possible object is `CareReceiverType`

### setCareReceiver

    public void setCareReceiver(CareReceiverType value)

  Sets the value of the careReceiver property.

  Parameters:
    `value` - allowed object is `CareReceiverType`

### getCoverage

    public CoverageType getCoverage()

  Gets the value of the coverage property.

  Returns:
    possible object is `CoverageType`

### setCoverage

    public void setCoverage(CoverageType value)

  Sets the value of the coverage property.

  Parameters:
    `value` - allowed object is `CoverageType`

### getVerification

    public VerificationType getVerification()

  Gets the value of the verification property.

  Returns:
    possible object is `VerificationType`

### setVerification

    public void setVerification(VerificationType value)

  Sets the value of the verification property.

  Parameters:
    `value` - allowed object is `VerificationType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.